Bug 16380 - Can't mkfs on partitions > 8 (mkswaps fails, too)
Summary: Can't mkfs on partitions > 8 (mkswaps fails, too)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-16 16:59 UTC by Dan Yocum
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-16 16:59:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Yocum 2000-08-16 16:59:10 UTC
Probably related to 14490 as well.  I can create partitions (total number
fewer than 8) with
fdisk, but can't mkfs or mkswap on hda9 or above.  Errors follow.

# mkfs /dev/hda9
mke2fs 1.18, 11-Nov-1999 for EXT2 FS 0.5b, 95/08/09
/dev/hda9: Invalid argument passed to ext2 library while setting up
superblock

# mkswap /dev/hda9 
mkswap: error: swap area needs to be at least 40kB
Usage: mkswap [-c] [-v0|-v1] [-pPAGESZ] /dev/name [blocks]

Cheers,
Dan

Comment 1 Dan Yocum 2000-08-21 16:33:15 UTC
Never mind... operator error, mostly.  But it shouldn't have worked as well as
it did - I had labeled /dev/hda7 as my swap partition and was trying to mount it
again as a real partition, which actually worked, but didn't give me whole size
of the real partition.  Whatever.  It ain't a bug.

Cheers,
Dan


Note You need to log in before you can comment on or make changes to this bug.